dbXML API

## org.xmldb.api.reference.modules
Class BinaryResourceImpl

    java.lang.Object
      |
      +--org.xmldb.api.sdk.modules.BaseResource
            |
            +--org.xmldb.api.sdk.modules.SimpleBinaryResource
                  |
                  +--org.xmldb.api.reference.modules.BinaryResourceImpl

All Implemented Interfaces:
  BinaryResource, Resource

public class BinaryResourceImpl
extends SimpleBinaryResource
implements BinaryResource

Resource for encapsulation of binary data that is stored in the data base. Support for BinaryResources is optional.

Fields inherited from interface org.xmldb.api.modules.BinaryResource
`RESOURCE_TYPE`

Constructor Summary
`BinaryResourceImpl(Collection parent, java.lang.String id)`
`BinaryResourceImpl(Collection parent, java.lang.String id, byte[] content)`

Methods inherited from class org.xmldb.api.sdk.modules.SimpleBinaryResource
`getContent, getResourceType, setContent`

Methods inherited from class org.xmldb.api.sdk.modules.BaseResource
`getId, getParentCollection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Resource
`getContent, getId, getParentCollection, getResourceType, setContent`

Constructor Detail

### BinaryResourceImpl

    public BinaryResourceImpl(Collection parent,
                              java.lang.String id)

### BinaryResourceImpl

    public BinaryResourceImpl(Collection parent,
                              java.lang.String id,
                              byte[] content)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved